Skip to main content
POST
/
api
/
s3
/
upload
Import S3 objects
curl --request POST \
  --url https://api-prod.nomadicml.com/api/s3/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bucket": "<string>",
  "integration_id": "<string>",
  "keys": [
    "<string>"
  ],
  "sets": [
    {}
  ],
  "folder_id": "<string>",
  "scope": "user"
}
'
{
  "import_job_id": "<string>",
  "status": "<string>",
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Body

application/json
bucket
string
required
integration_id
string
keys
string[]
sets
object[]
folder_id
string
scope
enum<string>
Available options:
user,
org

Response

Successful response.

import_job_id
string
status
string
total
integer